Bug 43362 - seemingly excessive requirements in a spec file
seemingly excessive requirements in a spec file
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-03 18:57 EDT by Michal Jaegermann
Modified: 2007-03-26 23:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-11 11:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-06-03 18:57:25 EDT
Description of Problem:

Spec files for XFree86-4.0.3 (various versions) have in requirements
initscripts at least 5.20.  Why so high?  I recompiled these sources
a number of times for a system with initscripts-5.00 and I do not see
any ill-effects.
Comment 1 Mike A. Harris 2001-06-04 04:43:58 EDT
I do not recall why the dependancy is on 5.20, nor do I recall if I set
it to that, or if I inherited XFree86 with it like that.  The changelogs
do not seem to contain any comments as to why it was changed.  My guess
is that the new xfs initscript is i18nized, and that it requires updated
initscripts for this to work?  I dunno for sure, but I assume that whoever
set it to require initscripts 5.20 or greater had good reason even if they
did not document it.  As such, I'm inclined to leave it as is rather than
remove it just to find out why.

Bill, do you know what reason we're requiring 5.20 or greater?
Comment 2 Bill Nottingham 2001-06-11 11:04:17 EDT
It was for the old i18n that we ended up not using. Feel free to axe it.
Comment 3 Mike A. Harris 2001-06-11 22:43:32 EDT
Ok, will do in 4.1.0, but I'm not going to touch 4.0.3 as I don't
want to create any surprises in a stable series.

Thanks.  Fixed in 4.1.0-0.6.0

Note You need to log in before you can comment on or make changes to this bug.